    Fit a model to one or more data sets.

fit(id=None, *otherids, **kwargs)
Alias: simulfit
id - int or str, optional
*otherids - sequence of int or str, optional
outfile - str, optional
clobber - bool, optional

Use forward fitting to find the best-fit model to one or more data sets, given the chosen statistic and optimization method. The fit proceeds until the results converge or the number of iterations exceeds the maximum value (these values can be changed with `set_method_opt` ). An iterative scheme can be added using `set_iter_method` to try and improve the fit. The final fit results are displayed to the screen and can be retrieved with `get_fit_results` .

Simultaneously fit all data sets with models and then store the results in the variable fres:

>>> fit() >>> fres = get_fit_results()

Fit just the data set 'img':

>>> fit('img')

Simultaneously fit data sets 1, 2, and 3:

>>> fit(1, 2, 3)

Fit data set 'jet' and write the fit results to the text file 'jet.fit', over-writing it if it already exists:

>>> fit('jet', outfile='jet.fit', clobber=True)

PARAMETERS

The parameters for this function are:

Parameter
Definition
id
The data set that provides the data. If not given then all data sets with an associated model are fit simultaneously.
*otherids
Other data sets to use in the calculation.
outfile
If set, then the fit results will be written to a file with this name. The file contains the per-iteration fit results.
clobber
This flag controls whether an existing file can be overwritten ( True ) or if it raises an exception ( False , the default setting).

Notes

For PHA data sets with background components, the function will fit any background components for which a background model has been created (rather than being subtracted). The

`fit_bkg` function can be used to fit models to just the background data.

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023